Subject: bug#43255: 28.0.50; feature/native-comp void-function subr-native-lambda-list

From: Andrea Corallo <[email-masked]>
Date: Mon, 07 Sep 2020 12:39:19 +0000

[email-masked] writes:

> After I updated source from git and rebuild emacs, I am getting
> "void-function subr-native-lambda-list" error on lots of external
> packages when I try to load my init file. I tried both -O3 and -O2 with
> same (un)success. 
>
> My eln-cache is since 18. and 21. august, do I need to delete old eln
> files manually? Or do I need to add some extra path to my init file?
>
> Used to work without problems in earlier builds :-). Thankfull for the
> help.
>
> best regards
> /a
>
>
>
> In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.17.3)
>  of 2020-09-07 built on pascal
> Repository revision: eb8742598874d9bd4c84ff54730527c52d29d7ff
> Repository branch: feature/native-comp
> Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
> System Description: Arch Linux
>
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
> INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
> TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
> PDUMPER LCMS2

Hi Arthur,

is it possible that the Emacs you are using is not compiled activating
the native compiler (--with-nativecomp)?  We should see NATIVE_COMP
within the "Configured features:" above.

OTOH this is telling that compiling the native-comp branch without
activating the native compiler has a problem there.  I'll fix it.

Thanks

  Andrea